Subject: Re: ppcboot and powerpc branch question

From: Clemens Koller <[email-masked]>
Date: Fri, 30 Nov 2007 16:09:45 +0100

fabien schrieb:
> hi all,
> 
> After some problem with my custom board and kernel 2.6.19 about the
> init process, i've moved
> on 2.6.23 and that had fixed my problems. (related to this post :
> http://marc.info/?l=linuxppc-embedded&m=119609022221017&w=2)
> Apparently it was a problem with cpm_uart on SMC1.
> (http://lkml.org/lkml/2007/9/23/99)
> the patch have been integrated in 2.6.23. Now i use this kernel and
> busybox works.
> I want to migrated my board in powerpc branch instead of ppc (i plan
> to use xenomai but in 2.6.23
> there is only an adeos patch for piowerpc branch), but i see the use
> of a device tree
> instead of bd_t struct. I'm a bit disappointed because i also see that
> older u-boot (in my case
> ppcboot 1.1.5) aren't capable to pass dts to kernel.
> Is there a way to keep my old bootloader to boot a powerpc branch kernel ?

please read linux/Documentation/powerpc/booting-without-of.txt

To get a cuImage, you
- need to adjust your <platform>.dts and configure your kernel to use it.
- need the latest dtc (device tree compiler),
- need the latest mkimage (from the latest u-boot tree)
- and build your cuImage by building the target zImage (make zImage)
-> your cuImage then rests in i.e. arch/powerpc/boot/cuImage.<platform>

Aside of no good documentation, I ran into the problem that the
embedded device tree doesn't get updated by the bd_t struct properly
(the mac addresses) in the latest versions of the kernel. This might be
a bug or a configuration error on my side. I didn't check yet.
U-Boot with full device tree support will hopfully fix that, when it's
out.

Regards,

-- 
Clemens Koller
__________________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Straße 45/1
Linhof Werksgelände
D-81379 München
Tel.089-741518-50
Fax 089-741518-19
http://www.anagramm-technology.com